/* Goggle Fonts */
  @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Roboto:wght@500&display=swap');

* {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    scroll-padding-top: 2rem;
    box-sizing: border-box;
}

/* Variable */
:root {
    --container-color: #1a1e21;
    --background-image:url(https://i.pinimg.com/736x/11/5c/83/115c839e7e7d5887b5ca4af9f9593fc1.jpg);
    --second-color: #4d25ff;
    --text-color: #172317;
    --bg-color: #fff;
}

::selection {
    color: var(--bg-color);
    background: var(--second-color);
}

a{
    text-decoration: none;
}

li {
    list-style: none;
}

img {
    width: 100%;
}

section {
    padding: 3rem 0 2rem;
}

.container{
    max-width: 1068px;
    margin: auto;
    width: 100%;
}

/* header */

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 200;
}

header.shadow {
    background: var(--bg-color);
    box-shadow: 0 1px 4px hsl(0 4% 14% / 10%);
    transition: 0.4s;
}

header.shadow .logo{
    color: var(--text-color);
}

.nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 18px 0;
}

/* .isii{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: 500;
    color: var(--bg-color);
    margin: auto;
    margin-right: 20rem;
    cursor: pointer;
    gap: 10rem;
}

.isii a {
    list-style: none;
    color: var(--bg-color);
}

.isii a:hover{
    color: var(--second-color);
} */


.logo {
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--bg-color);
}

.logo span {
    color: var(--second-color);
    text-shadow: 3px -1px 3px black;
}

.login {
    padding: 8px;
    text-transform: uppercase;
    font-weight: 500;
    border-radius: 4px;
    background: var(--second-color);
    color: var(--bg-color);
}

.login:hover{
    background: hsl(256, 88%, 30%);
    transition: 0.3s;
}

/* home */

.home {
    width: 100%;
    min-height: 440px;
    background: linear-gradient(rgba(85, 55, 216, 0.8), rgba(157, 170, 243, 0.8)), url("https://ik.imagekit.io/ikmedia/blog/hero-image.jpeg"); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    background-size: cover;
    background-repeat: no-repeat;
    display: grid;
    justify-content: center;
    align-items: center;
}

.home-text {
    color: var(--bg-color);
    text-align: center;
}

.home-title {
    font-size: 3.5rem;
    font-weight: 500;
}

.home-subtitle {
    font-size: 1rem;
    font-weight: 400;
}

/* About */

.about {
    position: relative;
    width: 100%;
    display: flex !important;
    justify-content: center;
    align-items: center;
}

.content-box {
    width: 50%;
    max-width: 50%;
    text-align: left;
    padding-right: 40px;
}

.title-judul {
    font-weight: 600;
    color: #111;
    font-size: 4rem;
    margin-bottom: 10px;
}

.title-text {
    color: #111;
    font-size: 1em;
    text-align: justify;
}

.img-about {
    position: relative;
    min-width: 50%;
    width: 50%;
    min-height: 200px;
}

.img-box .img-about {
    width: 20px;
}






.btn-more {
    position: relative;
    display: inline-block;
    margin-top: 30px;
    padding: 10px 30px;
    background: #fff;
    border: 1px solid #111;
    color: #333;
    text-decoration: none;
    transition: 0.5s;
}


.btn-more:hover {
    background-color: var(--second-color);
    color: #fff;
    border: none;
}


/* post artikel */

.post-artikel {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 1.5rem;
    margin-top: 5rem !important;
}

.post-artikel {
    margin-bottom: -2rem;
}

.filter-item {
    font-size: 0.9rem;
    font-weight: 500;
    cursor: pointer;
}

.active-artikel {
    background: var(--second-color);
    color: var(--bg-color);
    padding: 4px 10px;
    border-radius: 4px;
}

/* Artikel */
.post{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(280px, auto));
    justify-content: center;
    gap: 1.5rem;
}

.post-box {
    background: var(--bg-color);
    box-shadow: 0 4px 14px hsl(355deg 25% 15% / 10%);
    padding: 15px;
    border-radius: 0.5rem;
}

.post-img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    object-position: center;
    border-radius: 0.5rem;
}

.category {
    font-size: 0.9rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--second-color);
}

.post-title {
    font-size: 1.3rem;
    font-weight: 600;
    color: var(--text-color);
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.post-date {
    display: flex;
    font-size: 0.875rem;
    text-transform: uppercase;
    font-weight: 400;
    font-weight: 400;
    margin-top: 4px;
}

.post-description {
    font-size: 0.9rem;
    line-height: 1.5rem;
    margin: 5px 0 10px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.profile {
    display: flex;
    align-items: center;
    gap: 10px;
}

.profile-img {
    width: 35px;
    height: 35px;
    object-fit: cover;
    border-radius: 50%;
    border: 2px solid var(--second-color);
}

.profile-name {
    font-size: 0.82rem;
    font-weight: 500;
}

.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 0;
}

.footer p {
    font-size: 0.9rem;
}

.social{
    display: flex;
    align-items: center;
    column-gap: 1rem;
}

.social .bx {
    font-size: 1.4rem;
    color: var(--text-color);
}
.social .bx:hover {
    color: var(--second-color);
    transition: 0.3s all linear;
}

/* Post Content Artikel */
.post-header {
    width: 100%;
    height: 500px;
    background: var(--container-color);
}

.post-container {
    max-width: 800px;
    margin: auto;
    width: 100%;
}

.header-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 4rem !important;
}

.back-home {
    color: var(--second-color);
    font-size: 0.9rem;
}

.header-title {
    width: 90%;
    font-size: 2rem;
    color: var(--bg-color);
    text-align: center;
    margin-bottom: 1rem;
}

.header-img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    object-position: center;
}

.post-content {
    margin-top: 8rem !important;
}
.post-content2 {
    margin-top: 5rem !important;
}
.post-content3 {
    margin-top: 6.5rem !important;
}
.post-content4 {
    margin-top: 7rem !important;
}
.post-content5 {
    margin-top: 6.5rem !important;
}
.post-content6 {
    margin-top: 4rem !important;
}
.post-content9 {
    margin-top: 4rem !important;
}


.sub-heading {
    font-size: 1.2rem;
}

.post-text {
    font-size: 1rem;
    line-height: 1.7rem;
    margin: 1rem  0;
    text-align: justify;
}


/* Share */
.share {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 1rem;
}

.share-title {
    font-size: 1.1rem;
}


/* Responsive */

@media (max-width:1060px) {
    .container {
        margin: 0 auto;
        width: 90%;
    }

    .home-text {
        width: 100%;
    }
}

@media (max-width:800px) {
    .nav {
        padding: 14px 0;
    }

    .content-box .title-judul {
        display: flex;
        max-width: 100%;
        width: 100%;
    }

    .post-container {
        margin: 0 auto;
        width: 95%;
    }
    .about{
        flex-direction: column;
    }

    .about .content-box {
        min-width: 100%;
        width: 100%;
        text-align: center;
        padding-right: 0px;
    }
    .about .content-box,
    .about .img-about {
        min-width: 100%;
        width: 50%;
        padding-right: 0px;
        text-align: center;
    }

    .about .img-about{
        min-height: 250px;
    }

    .btn-more {
        margin-bottom: 30px;
    }
}
@media (max-width:768px) {
    .nav {
        padding: 10px 0;
    }

    .about{
        flex-direction: column;
    }

    .about .content-box {
        min-width: 100%;
        width: 100%;
        text-align: center;
        padding-right: 0px;
    }

   

    section {
        padding: 2rem 0;
    }

    .header-content {
        margin-top: 3rem !important;
    }

    .home {
        min-height: 380px;
    }

    .home-title {
        font-size: 3rem;
    }

    .header-title {
        font-size: 2rem;
    }

    .header-img {
        height: 370px;
    }

    .post-header {
        height: 435px;
    }

    .post-content {
        margin-top: 9rem !important;
    }
}

@media (max-width:570px) {
    .post-header {
        height: 390px;
    }

    .header-title {
        width: 100%;
    }

    .header-img {
        height: 340px;
    }

    .footer {
        flex-direction: column;
        row-gap: 1rem;
        padding: 20px 0;
        text-align: center;
    }

    .about .title-judul {
        font-size: 3rem;
    }
}

@media (max-width:396px) {
    .home-title {
        font-size: 2rem;
    }

    .home {
        min-height: 300px;
    }

    .post-box {
        padding: 10px;
    }

    .header-title {
        font-size: 1.4rem;
    }

    .post-header {
        height: 355px;
    }

    .post-content {
        margin-top: 10.5rem !important;
    }

    .post-text {
        font-size: 0.875rem;
        line-height: 1.5rem;
        margin: 10px 0;
    }
}